Subject: Re: [PATCH 0/3] macsec: Add support for VLAN filtering in offload mode

From: Jakub Kicinski <[email-masked]>
Date: Fri, 13 Mar 2026 10:31:28 -0700

On Fri, 13 Mar 2026 11:52:23 +0100 Cosmin Ratiu wrote:
>  .../selftests/drivers/net/macsec_api.py       | 103 ++++++++++++++
>  .../selftests/drivers/net/macsec_lib.py       |  20 +++
>  .../selftests/drivers/net/macsec_traffic.py   | 126 ++++++++++++++++++

Thanks for converting! I think we're missing MACSEC from
selftests/drivers/net/config cause kernels end up getting built without
it. And we see:

# ok 1 macsec_traffic.test_vlan.offloaded # SKIP macsec-hw-offload not supported
# ok 2 macsec_traffic.test_vlan.software # SKIP macsec-hw-offload not supported
# ok 3 macsec_traffic.test_vlan_toggle.toggle_on # SKIP macsec-hw-offload not supported
# ok 4 macsec_traffic.test_vlan_toggle.toggle_off # SKIP macsec-hw-offload not supported
# # Totals: pass:0 fail:0 xfail:0 xpass:0 skip:4 error:0

Also I'm slightly weary about "frameworkification" of the selftests so
since the selftests aren't huge maybe avoid creating the lib and just
squash all the macsec tests into one file? Or is there a reason?
I know that it feels cleaner to separate things out but in case of
tests which mostly get fly-by contributions having to teach people
about libraries is quite a lift..